# $Revision: 1.40 $, $Date: 2012/03/25 15:25:32 $
%define		status		stable
%define		pearname	Net_IMAP
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - an implementation of the IMAP protocol
Summary(pl.UTF-8):	%{pearname} - implementacja protokołu IMAP
Name:		php-pear-%{pearname}
Version:	1.1.1
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	79ea05dfc3af6ae2fa276831b4cceb8a
URL:		http://pear.php.net/package/Net_IMAP/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-pear
Requires:	php-pear-Net_Socket >= 1.0.8
Suggests:	php-pear-Auth_SASL
Obsoletes:	php-pear-Net_IMAP-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(Auth/SASL.*)

%description
Provides an implementation of the IMAP4Rev1 protocol using PEAR's
Net_Socket and Auth_SASL class.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Klasa dostarcza implementację protokołu IMAP4Rev1 przy użyciu
PEAR-owych klas Net_Socket oraz Auth_SASL.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

mv .%{php_pear_dir}/data/Net_IMAP/README .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Net/*.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_IMAP.spec,v $
Revision 1.40  2012/03/25 15:25:32  glen
- package README

Revision 1.39  2012/03/25 15:24:34  glen
- up to 1.1.1

Revision 1.38  2011/03/01 06:28:51  glen
- release 3

Revision 1.37  2011/01/23 01:03:19  sparky
- dropped -tests subpackage

Revision 1.36  2010/08/21 19:08:14  glen
- updated deps with pearize.sh
- release 2

Revision 1.35  2009/09/14 20:26:10  hawk
- updated to 1.1.0

Revision 1.34  2008/01/31 12:17:19  glen
- rel 5

Revision 1.33  2007-09-13 12:32:46  baggins
- rel 4

Revision 1.32  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.31  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.30  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.29  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.28  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.27  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.26  2005/10/27 19:07:14  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.25  2005/10/05 20:59:32  glen
- rel 3

Revision 1.24  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.23  2005/09/28 21:33:15  glen
- new pear packaging

Revision 1.22  2004/12/04 13:21:59  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.21  2004/10/01 19:42:43  adamg
- updated to 1.0.3

Revision 1.20  2004/08/07 14:35:46  adamg
- updated to 1.0.2

Revision 1.19  2004/07/08 19:23:53  adamg
- updated to 1.0.1

Revision 1.18  2004/05/30 13:13:51  adamg
- fixed english information about status of the package

Revision 1.17  2004/05/24 07:16:03  adamg
- updated to 1.0.0

Revision 1.16  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.15  2004/02/13 19:26:53  adamg
- updated to 0.7.1
- removed bogus changelog entry

Revision 1.13  2004/02/08 09:52:22  adamg
- updated to 0.7

Revision 1.12  2003/10/07 20:55:41  adamg
- do not use macros in URL

Revision 1.11  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.10  2003/07/20 23:27:33  adamg
- updated to 0.6

Revision 1.9  2003/07/14 06:05:50  adamg
- updated to 0.5.1

Revision 1.8  2003/07/12 23:35:36  adamg
- updated to 0.5

Revision 1.7  2003/06/11 08:19:36  qboosh
- cosmetics in descriptions

Revision 1.6  2003/05/28 10:50:29  adamg
- massive manual attack: pear packages update

Revision 1.5  2003/05/28 08:58:44  adamg
- massive attack: added source0-md5

Revision 1.4  2003/05/25 06:25:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/03/06 21:24:17  blues
- 0.3

Revision 1.2  2003/02/27 09:49:50  blues
- 0.2 - many new features

Revision 1.1  2003/02/24 15:57:39  blues
- initial release
